Subject: Re: bug#47543: “Repeated allocation of very large block” during‘guix pull’

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Sat, 23 Sep 2023 13:40:44 +0200

Janneke Nieuwenhuizen writes:

Hi!

Just a headsup with more information.

> Ludovic Courtès writes:
>
>> If you experience it, please share the command line and command output!
>
> Never seen this before, but here it is...

[..]

> ./guix/store.scm:1036:9: ERROR:
>   1. &store-protocol-error:
>       message: "error parsing derivation `/gnu/store/2zb0lb5bkg5868vvwqi6a8nh07p23610-guix-6bd17a080-modules.drv': expected string `Derive(['"
>       status: 1

This bit, i.e., the fact that `guix pull' failed, was due to store
corruption.  Something else that I've also never experienced before.

> guix pull: error: You found a bug: the program '/gnu/store/sv5bgbzisyii7g45c3bd3w8jk59gfvx0-compute-guix-derivation'
> failed to compute the derivation for Guix (version: "6bd17a0806ad32d1493ac51a7443276f719c4224"; system: "x86_64-linux";
> host version: "445a0359083388b5ee686e6e855f94a3aac5f79c"; pull-version: 1).
> Please report the COMPLETE output above by email to <[email-masked]>.

And on that last note, I wonder how apt this massage is, in this
particular case running `guix gc --repair=content' would have been
helpful.

> This seems to be somewhat repeatable, it was the third time in a row
> this failed.  After the second time, I removed ~/.cache/guix/checkouts.

After repairing the store, the `large block' warning was also gone.

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com